Get scheduled run by UUID
curl --request GET \
--url https://api.edges.run/v1/schedules/{scheduled_run_uid} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/schedules/{scheduled_run_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/schedules/{scheduled_run_uid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"action_id": 123,
"action_name": "<string>",
"user_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"postponed_until": "2023-11-07T05:31:56Z",
"cron": "<string>",
"timezone": "<string>",
"next_execution_at": "2023-11-07T05:31:56Z",
"last_executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parameters": {
"sync_mode": "full"
}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Schedules
Get a Schedule
Retrieve a single schedule, including its cron expression, timezone and next execution time.
GET
/
schedules
/
{scheduled_run_uid}
Get scheduled run by UUID
curl --request GET \
--url https://api.edges.run/v1/schedules/{scheduled_run_uid} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/schedules/{scheduled_run_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/schedules/{scheduled_run_uid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"action_id": 123,
"action_name": "<string>",
"user_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"postponed_until": "2023-11-07T05:31:56Z",
"cron": "<string>",
"timezone": "<string>",
"next_execution_at": "2023-11-07T05:31:56Z",
"last_executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parameters": {
"sync_mode": "full"
}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Authorizations
Path Parameters
Scheduled run UUID
Response
Returns the scheduled run
Returns the scheduled run
Scheduled Run UUID
Optional user-defined label for the scheduled run.
Maximum string length:
255Action ID
Action name
Member/User UUID
Workspace UUID
Scheduled run status
Available options:
ACTIVE, CANCELLED, PAUSED, COMPLETED If the run is postponed, this field indicates when it will be retried.
Cron expression for the scheduled run (POSIX format)
Timezone for the scheduled run (IANA timezone format)
Next execution at
Last executed at
Created at
Updated at
Show child attributes
Show child attributes

